diff -ur configure configure
--- configure	2009-01-16 21:58:22.000000000 +0100
+++ configure	2009-02-28 12:29:36.000000000 +0100
@@ -900,7 +900,6 @@
 BULLET_LIBS
 MODULES_DIRS
 MODULE_LOADPATH
-GINACLIB_CONFIG
 GINACLIB_CPPFLAGS
 GINACLIB_LIBS
 DATE
@@ -6285,7 +6284,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6288 "configure"' > conftest.$ac_ext
+  echo '#line 6287 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8279,11 +8278,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8282: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8281: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8286: \$? = $ac_status" >&5
+   echo "$as_me:8285: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8547,11 +8546,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8550: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8549: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8554: \$? = $ac_status" >&5
+   echo "$as_me:8553: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8651,11 +8650,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8654: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8653: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8658: \$? = $ac_status" >&5
+   echo "$as_me:8657: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10116,7 +10115,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 10119 "configure"' > conftest.$ac_ext
+    echo '#line 10118 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -10980,7 +10979,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10983 "configure"
+#line 10982 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11080,7 +11079,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11083 "configure"
+#line 11082 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13419,11 +13418,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13422: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13421: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13426: \$? = $ac_status" >&5
+   echo "$as_me:13425: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13523,11 +13522,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13526: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13525: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13530: \$? = $ac_status" >&5
+   echo "$as_me:13529: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14059,7 +14058,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14062 "configure"' > conftest.$ac_ext
+    echo '#line 14061 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15117,11 +15116,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15120: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15119: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15124: \$? = $ac_status" >&5
+   echo "$as_me:15123: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15221,11 +15220,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15224: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15223: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15228: \$? = $ac_status" >&5
+   echo "$as_me:15227: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16666,7 +16665,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 16669 "configure"' > conftest.$ac_ext
+    echo '#line 16668 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -17443,11 +17442,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17446: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17445: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17450: \$? = $ac_status" >&5
+   echo "$as_me:17449: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17711,11 +17710,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17714: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17713: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17718: \$? = $ac_status" >&5
+   echo "$as_me:17717: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17815,11 +17814,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17818: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17817: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17822: \$? = $ac_status" >&5
+   echo "$as_me:17821: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -19280,7 +19279,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 19283 "configure"' > conftest.$ac_ext
+    echo '#line 19282 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -20529,7 +20528,6 @@
 X_ANN_LIBS=
 BULLET_LIBS=
 
-GINACLIB_CONFIG=
 GINACLIB_LIBS=
 GINACLIB_CPPFLAGS=
 
@@ -34786,146 +34784,6 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
-
-for ac_header in ginac/ginac.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-	       { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-	       { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-
-done
-
 	ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -34934,11 +34792,23 @@
 
 	{ echo "$as_me:$LINENO: checking for GiNaC library" >&5
 echo $ECHO_N "checking for GiNaC library... $ECHO_C" >&6; }
+	have_ginac=no
+
 	ginac-config --version >/dev/null 2>&1
 	if test $? = 0 ; then
-		GINACLIB_CONFIG="ginac-config"
-		GINACLIB_LIBS=`$GINACLIB_CONFIG --libs`
-		GINACLIB_CPPFLAGS=`$GINACLIB_CONFIG --cppflags`
+		GINACLIB_LIBS=`ginac-config --libs`
+		GINACLIB_CPPFLAGS=`ginac-config --cppflags`
+		have_ginac=yes
+	else
+		pkg-config ginac
+		if test $? = 0; then
+			GINACLIB_LIBS=`pkg-config --libs ginac`
+			GINACLIB_CPPFLAGS=`pkg-config --cflags ginac`
+			have_ginac=yes
+		fi
+	fi
+
+	if test $have_ginac = yes ; then
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_GINAC 1
@@ -35531,7 +35401,6 @@
 
 
 
-
  if test "$ol_link_ANN" = yes; then
   USE_X_ANN_TRUE=
   USE_X_ANN_FALSE='#'
@@ -36384,7 +36253,6 @@
 BULLET_LIBS!$BULLET_LIBS$ac_delim
 MODULES_DIRS!$MODULES_DIRS$ac_delim
 MODULE_LOADPATH!$MODULE_LOADPATH$ac_delim
-GINACLIB_CONFIG!$GINACLIB_CONFIG$ac_delim
 GINACLIB_CPPFLAGS!$GINACLIB_CPPFLAGS$ac_delim
 GINACLIB_LIBS!$GINACLIB_LIBS$ac_delim
 DATE!$DATE$ac_delim
@@ -36400,7 +36268,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 49; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 48; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -ur configure.in configure.in
--- configure.in	2009-01-16 21:56:33.000000000 +0100
+++ configure.in	2009-02-28 12:29:27.000000000 +0100
@@ -321,7 +321,7 @@
 X_ANN_LIBS=
 BULLET_LIBS=
 
-GINACLIB_CONFIG=
+dnl GINACLIB_CONFIG=
 GINACLIB_LIBS=
 GINACLIB_CPPFLAGS=
 
@@ -2127,17 +2127,28 @@
 ol_link_ginac=no
 if test $ol_with_ginac != no ; then
 	AC_LANG_CPLUSPLUS
-	AC_CHECK_HEADERS(ginac/ginac.h)
 	AC_LANG_C
 	AC_MSG_CHECKING([for GiNaC library])
+	have_ginac=no
+
 	ginac-config --version >/dev/null 2>&1
 	if test $? = 0 ; then
-		GINACLIB_CONFIG="ginac-config"
-		GINACLIB_LIBS=`$GINACLIB_CONFIG --libs`
-		GINACLIB_CPPFLAGS=`$GINACLIB_CONFIG --cppflags`
+		GINACLIB_LIBS=`ginac-config --libs`
+		GINACLIB_CPPFLAGS=`ginac-config --cppflags`
+		have_ginac=yes
+	else
+		pkg-config ginac
+		if test $? = 0; then
+			GINACLIB_LIBS=`pkg-config --libs ginac`
+			GINACLIB_CPPFLAGS=`pkg-config --cflags ginac`
+			have_ginac=yes
+		fi
+	fi
+
+	if test $have_ginac = yes ; then
 		AC_DEFINE(HAVE_GINAC,1,[define if GiNaC is available])
 		AC_MSG_RESULT([yes])
-	else 
+	else
 		AC_MSG_RESULT([no])
 		if test $ol_with_ginac != auto; then
 			AC_MSG_ERROR([GiNaC not available])
@@ -2310,7 +2321,7 @@
 AC_SUBST(MODULES_DIRS)
 AC_SUBST(MODULE_LOADPATH)
 
-AC_SUBST(GINACLIB_CONFIG)
+dnl AC_SUBST(GINACLIB_CONFIG)
 AC_SUBST(GINACLIB_CPPFLAGS)
 AC_SUBST(GINACLIB_LIBS)
 
diff -ur include/mbconfig.h.in include/mbconfig.h.in
--- include/mbconfig.h.in	2009-01-08 14:30:58.000000000 +0100
+++ include/mbconfig.h.in	2009-02-28 12:29:38.000000000 +0100
@@ -171,9 +171,6 @@
 /* define if GiNaC is available */
 #undef HAVE_GINAC
 
-/* Define to 1 if you have the <ginac/ginac.h> header file. */
-#undef HAVE_GINAC_GINAC_H
-
 /* Define to 1 if you have the `inet_aton' function. */
 #undef HAVE_INET_ATON
 
diff -ur mbdyn/base/constltp.h mbdyn/base/constltp.h
--- mbdyn/base/constltp.h	2009-01-07 17:53:06.000000000 +0100
+++ mbdyn/base/constltp.h	2009-02-28 12:20:55.000000000 +0100
@@ -58,14 +58,16 @@
 public:
 	class ErrNotAvailable : public MBDynErrBase {
 	public:
-		ErrNotAvailable(MBDYN_EXCEPT_ARGS_DECL) :
-			MBDynErrBase(MBDYN_EXCEPT_ARGS_PASSTHRU) {
+		ErrNotAvailable(MBDYN_EXCEPT_ARGS_DECL)
+		: MBDynErrBase(MBDYN_EXCEPT_ARGS_PASSTHRU)
+		{
 			silent_cerr("Constitutive law not available "
 				"for this dimensionality"
 				<< std::endl);
 		};
-		ErrNotAvailable(std::ostream& out, MBDYN_EXCEPT_ARGS_DECL) : 
-			MBDynErrBase(MBDYN_EXCEPT_ARGS_PASSTHRU) {
+		ErrNotAvailable(std::ostream& out, MBDYN_EXCEPT_ARGS_DECL)
+		: MBDynErrBase(MBDYN_EXCEPT_ARGS_PASSTHRU)
+		{
 			out << "Constitutive law not available "
 				"for this dimensionality"
 				<< what()
diff -ur mbdyn/base/ginaccltp.h mbdyn/base/ginaccltp.h
--- mbdyn/base/ginaccltp.h	2009-01-07 17:53:06.000000000 +0100
+++ mbdyn/base/ginaccltp.h	2009-02-28 12:20:55.000000000 +0100
@@ -90,9 +90,7 @@
 		dim = 6;
 
 	} else {
-		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(std::cerr,
-			"GiNaCElasticConstitutiveLaw() is not defined "
-			"for the requested dimensionality")); 
+		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(MBDYN_EXCEPT_ARGS)); 
 	}
 
 	gEps.resize(dim);
@@ -389,9 +387,7 @@
 		dim = 6;
 
 	} else {
-		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(std::cerr,
-			"GiNaCViscousConstitutiveLaw() is not defined "
-			"for the requested dimensionality")); 
+		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(MBDYN_EXCEPT_ARGS)); 
 	}
 
 	gEpsPrime.resize(dim);
@@ -687,9 +683,7 @@
 		dim = 6;
 
 	} else {
-		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(std::cerr,
-			"GiNaCViscoElasticConstitutiveLaw() is not defined "
-			"for the requested dimensionality")); 
+		throw (typename ConstitutiveLaw<T, Tder>::ErrNotAvailable(MBDYN_EXCEPT_ARGS)); 
 	}
 
 	gEps.resize(dim);

